package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsDiseaseScrm;
import com.fs.hisStore.param.FsDiseaseListUParam;
import com.fs.hisStore.vo.FsDiseaseListUVO;
import com.fs.hisStore.vo.FsDiseaseListVO;
import com.fs.hisStore.vo.FsDiseaseVO;

import java.util.List;

/**
 * 疾病Service接口
 *
 * @author fs
 * @date 2023-06-01
 */
public interface IFsDiseaseScrmService
{
    /**
     * 查询疾病
     *
     * @param diseaseId 疾病主键
     * @return 疾病
     */
    public FsDiseaseScrm selectFsDiseaseByDiseaseId(Long diseaseId);

    /**
     * 查询疾病列表
     *
     * @param fsDisease 疾病
     * @return 疾病集合
     */
    public List<FsDiseaseScrm> selectFsDiseaseList(FsDiseaseScrm fsDisease);

    /**
     * 新增疾病
     *
     * @param fsDisease 疾病
     * @return 结果
     */
    public int insertFsDisease(FsDiseaseScrm fsDisease);

    /**
     * 修改疾病
     *
     * @param fsDisease 疾病
     * @return 结果
     */
    public int updateFsDisease(FsDiseaseScrm fsDisease);

    /**
     * 批量删除疾病
     *
     * @param diseaseIds 需要删除的疾病主键集合
     * @return 结果
     */
    public int deleteFsDiseaseByDiseaseIds(Long[] diseaseIds);

    /**
     * 删除疾病信息
     *
     * @param diseaseId 疾病主键
     * @return 结果
     */
    public int deleteFsDiseaseByDiseaseId(Long diseaseId);

    List<FsDiseaseListVO> selectFsDiseaseListVO(FsDiseaseScrm fsDisease);


    List<FsDiseaseListUVO> selectFsDiseaseListUVO(FsDiseaseListUParam param);
    FsDiseaseVO selectFsDiseaseVOByDiseaseId(Long diseaseId);
}
